Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4962772

Wrong JRE is being used by a Mercury system

    XMLWordPrintable

    Details

    • Subcomponent:
    • CPU:
      generic
    • OS:
      linux_suse_slec

      Description

      When installing a 1.4.2_04b1 JRE rpm onto mercury b12c, the default JRE (1.4.2_02) will still be used by the system.

      java -version will return a reference to 1.4.2_02.

      Steps to reproduce:

      1) Install 1.4.2_04 JRE rpm from /net/koori.sfbay/p/v11/jdk/1.4.2_04/ea/b01 on a mercury b12c machine
      2) This will create a j2re1.4.2_04 directory within /usr/java. /use/java should now contain a j2re1.4.2_02 directory, a j2re1.4.2_04 directory and a j2redefault file
      3) Run a "java -version" command
      4) A reference from 1.4.2_02 will be returned

      1.4.2_04 does not overwrite 1.4.2_02, but the system is not updated so that the newer JRE is used. The problem is that in /usr/java, the j2redefault file is not updated to point to 1.4.2_04, the link still points to 1.4.2_02. This needs to be fixed so that j2redefault is updated when a newer rpm is installed.

      This also occurs when a JDK (1.4.2_04) containing a more recent JRE is installed as well

      ###@###.### 2003-12-03

        Attachments

          Activity

            People

            Assignee:
            abhalesunw Ajit Bhale (Inactive)
            Reporter:
            duke J. Duke (Inactive)
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Imported:
              Indexed: